> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Saas Objects

> List all SaaS objects for an integration source.



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json get /api/integration-sources/{source_id}/saas-objects
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/integration-sources/{source_id}/saas-objects:
    get:
      tags:
        - Integration Sources
      summary: List Saas Objects
      description: List all SaaS objects for an integration source.
      operationId: list_saas_objects_api_integration_sources__source_id__saas_objects_get
      parameters:
        - name: source_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Source Id
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: resource_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Resource Id
        - name: integration_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Integration Source Id
        - name: data_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Data Source Id
        - name: context_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Source Id
        - name: job_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SaaSObjectResponse'
                title: >-
                  Response List Saas Objects Api Integration Sources  Source Id 
                  Saas Objects Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SaaSObjectResponse:
      properties:
        integration_source_id:
          type: string
          format: uuid
          title: Integration Source Id
          description: The integration source this object belongs to
        object_name:
          type: string
          title: Object Name
          description: Display name for the SaaS object (e.g., 'Contact')
        api_identifier:
          type: string
          title: Api Identifier
          description: API identifier for the SaaS object (e.g., 'contacts')
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the object
        null_pct_overall:
          anyOf:
            - type: number
            - type: 'null'
          title: Null Pct Overall
          description: Overall percentage of null values across all fields
        field_null_pct:
          anyOf:
            - additionalProperties:
                type: number
              type: object
            - type: 'null'
          title: Field Null Pct
          description: Mapping of field names to their null percentages
        field_distinct_pct:
          anyOf:
            - additionalProperties:
                type: number
              type: object
            - type: 'null'
          title: Field Distinct Pct
          description: Mapping of field names to their distinct value percentages
        earliest_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Earliest Timestamp
          description: Earliest timestamp found in the object
        latest_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Latest Timestamp
          description: Latest timestamp found in the object
        date_grain:
          anyOf:
            - type: string
            - type: 'null'
          title: Date Grain
          description: Granularity of date data (daily, hourly, etc.)
        last_load_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Load Timestamp
          description: When this object was last analyzed for metadata
        load_frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Load Frequency
          description: How frequently this object is updated (e.g., 'DAILY', 'HOURLY')
        data_latency_minutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Data Latency Minutes
          description: Data latency in minutes
        is_staging_table:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Staging Table
          description: Whether this is a staging/temporary object
        is_active:
          type: boolean
          title: Is Active
          description: Whether this object is enabled and visible to the analysis agent
          default: true
        description_source:
          anyOf:
            - type: string
              enum:
                - ai_generated
                - manual_edit
                - imported
                - information_schema
            - type: 'null'
          title: Description Source
          description: >-
            How description was created: 'ai_generated' | 'manual_edit' |
            'imported' | 'information_schema'
        description_generated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Description Generated At
          description: When description was last modified
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - integration_source_id
        - object_name
        - api_identifier
        - id
        - created_at
        - updated_at
      title: SaaSObjectResponse
      description: Response model for SaaS objects.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````